Get offers
Search and list offers with optional filtering by status, search term, and pagination.
GET
/Query parameters
statusstringAllowed:
pendingawaiting_customercanceledbuyout_acceptedorder_placedexpiredsearchTermstringpageintegermin 1 · default: 1
pageSizeintegermin 1 · max 100 · default: 25
Responses
200Offers retrieved successfully
offersobject[]requiredShow propertiesHide properties
Array of
objectidstringrequiredstatusstringrequiredCurrent offer status
thirdPartyIdstring | nullrequiredtotalCountnumberrequiredstatusesobject[]requiredShow propertiesHide properties
Array of
objectstatusstringrequiredOffer status
countnumberrequiredpageInfoobjectrequiredShow propertiesHide properties
hasNextPagebooleanrequiredhasPreviousPagebooleanrequired401Unauthorized - Missing or invalid authentication
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
Array of
objectfieldstringrequirederrorstringrequired500Internal server error
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
Array of
objectfieldstringrequirederrorstringrequiredRequest
curl -X GET "https://api.sibipro.com/prod/offers/"const response = await fetch("https://api.sibipro.com/prod/offers/", {
method: "GET"
});Response
{
"offers": [
{
"id": "string",
"status": "pending",
"thirdPartyId": "string"
}
],
"totalCount": 0,
"statuses": [
{
"status": "pending",
"count": 0
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}{
"code": "string",
"message": "The request contains invalid parameters",
"details": [
{
"field": "customer.email",
"error": "Invalid email"
},
{
"field": "address.postalCode",
"error": "Invalid"
}
]
}{
"code": "string",
"message": "The request contains invalid parameters",
"details": [
{
"field": "customer.email",
"error": "Invalid email"
},
{
"field": "address.postalCode",
"error": "Invalid"
}
]
}